import Quiz from '@components/pages/Quiz';
import '@styles/quiz_section.css';

function Page() {

	const data = [
			{
				"title":      "Random",
				"header":     "Solve Random Quizzes",
				"desc": "Solve random quizzes from all these section below",
				"path": "/quizzes/random",
				"bg": ["#8defff", "#ffcfdc"]
			},
			{
				"title": "Leagues",
				"header":"European Leagues Quizzes",
				"desc":  "Solve European Leagues Quizzes, Premiere League LaLiga ...",
				"path":  "/quizzes/leagues",
				"bg":    ["#99c1f1", "#19ff95"]
			},
			{
				"title":      "Transfers",
				"header":     "Transfers Challenge",
				"desc": "Can you guess the player name with his journey.",
				"path": "/quizzes/transfers",
				"bg": ["#ffcfdc", "#e91e63"]
			},
			{
				"title":      "History",
				"header":     "History Challenge",
				"desc": "Test your football memory knowledge.",
				"path": "/quizzes/history",
				"bg": ["#f66151", "#f8e45c"]
			},
			{
				"title":      "Clubs",
				"header":     "Clubs Challenges",
				"desc": "The Clubs Quizzes just for your mood!",
				"path": "/quizzes/clubs",
				"bg": ["#ffcfdc", "#39032d"]
			}
	];

	return (
				<>
      	<div className="process-bg h-4 w-0 m-0" id="process-quiz"></div>
					<div className="container m-auto sm:mx-auto mx-2 flex flex-wrap items-center justify-center content-center my-8">
						{
							data && data.map((section, i)=>(
								<Quiz key={i} bg={section.bg} path={section.path} title={section.title ?? "--"} desc={section.desc} header={section.header} />
							))
						}
					</div>
				</>
	);

}

export default Page;
